Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class Variable

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.Variable

    public class Variable

extends BpelObject

BPEL Variable declaration.

Nested Class Summary
`static class` | `Variable.Kind`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`Variable(org.w3c.dom.Element el)`

Method Summary
`java.lang.String` | `getExternalId()` Get the external variable identifier (each one will be defined in the deployment descriptor)
`Variable.Kind` | `getKind()` Get the type of declaration; one of: `#TYPE_SCHEMA`, `#TYPE_ELEMENT`, or `#TYPE_MESSAGE`.
`java.lang.String` | `getName()` Get the name of the variable.
`java.lang.String` | `getRelated()` External variable support - get the "related" variable name.
`javax.xml.namespace.QName` | `getTypeName()` Get the type name of this variable.
`boolean` | `isExternal()` Is this an external variable? It is if it has the above attribute.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Variable

    public Variable(org.w3c.dom.Element el)

Method Detail

### getName

    public java.lang.String getName()

  Get the name of the variable.

  Returns:
    variable name

### getTypeName

    public javax.xml.namespace.QName getTypeName()

  Get the type name of this variable.

  Returns:
    an XML element, XML schema type, or WSDL message type name.

### getKind

    public Variable.Kind getKind()

  Get the type of declaration; one of: `#TYPE_SCHEMA`, `#TYPE_ELEMENT`, or `#TYPE_MESSAGE`.

  Returns:
    type of variable decleration

### getExternalId

    public java.lang.String getExternalId()

  Get the external variable identifier (each one will be defined in the deployment descriptor)

### isExternal

    public boolean isExternal()

  Is this an external variable? It is if it has the above attribute.

  Returns:

### getRelated

    public java.lang.String getRelated()

  External variable support - get the "related" variable name.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD